using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Posechaemost.Domain.UseCase;

namespace Posechaemost.UI
{
    public class PresenceConsoleUI
    {
        PresenceUseCase _presenceUseCase;
        public PresenceConsoleUI(PresenceUseCase presenceUseCase) {
            _presenceUseCase = presenceUseCase;
        }

        public void GetPresenceByGroup(int groupId) {
            var presence = _presenceUseCase.GetPresenceByGroup(groupId);
        }

        public void GetPresenceByGroupAndDate(int groupId, DateOnly date) {
            var presence = _presenceUseCase.GetPresenceByGroupAndDate(groupId, date);
        }

        public void UncheckAttendence(int firstClass, int lastClass, DateOnly date, Guid userGuid) {
            var presence = _presenceUseCase.UncheckAttendence(firstClass, lastClass, date, userGuid);
        }

        public void AddPresence(int firstClass, int lastClass, int groupId, DateOnly date) {
            _presenceUseCase.AddPresence(firstClass, lastClass, groupId, date);
        }
    }
}